ARMErrorList = [
    ("STATUS SELECTED MCU METADATA ERROR", 519),
    ("STATUS SELECTED WRONG MCU ERROR", 520),
    ("STATUS UNKNOWN MCU ERROR", 521),
    ("STATUS JTAG INIT ERROR ", 522),
    ("STATUS JTAG COMM ERROR ", 523),
    ("STATUS TESTED CLK FREQ ERROR ", 524),
    ("STATUS FW TYPE ERR ", 525),
    ("STATUS FW VERIFICATION ERROR ", 526),
    ("STATUS CHUNK SIZE ERROR ", 527),
    ("STATUS RD LONG BLOCK ERROR ", 528),
    ("STATUS OTP WORD NOT EMPTY ERROR ", 529),
    ("STATUS OTP BIT NOT EMPTY ERROR ", 530),
    ("STATUS OTP ADDR SIZE ERROR ", 531),
    ("STATUS OTP DATA VERIFY ERROR ", 532),
    ("STATUS OTP PRG VERIFY ERROR ", 533),
    ("STATUS ADDRESS OUT OF FLASH SPACE ERR ", 534),
    ("STATUS OPEN FILE ERROR ", 535),
    ("STATUS FILE NAME ERROR ", 536),
    ("STATUS WORD SIZE ERROR ", 537),
    ("STATUS TAR VERIFICATION ERROR ", 538),
    ("STATUS TAR INC VERIFICATION ERROR ", 539),
    ("STATUS SET PC ERROR ", 540),
    ("STATUS FLASH VIOLATION ERROR ", 541),
    ("STATUS FLASH ADDR SIZE ERROR ", 542),
    ("STATUS ADDR ALIGNMENT ERROR ", 543),
    ("STATUS SIZE ALIGNMENT ERROR ", 544),
    ("STATUS FLASH WORD NOT EMPTY ERROR ", 545),
    ("STATUS FLASH PRG VERIFY ERROR ", 546),
    ("STATUS FLASH PAGE ADDR ERROR ", 547),
    ("STATUS FLASH READ CS PSA ERROR ", 548),
    ("STATUS ERASE SEGMENT FAILED ", 549),
    ("STATUS SET OPTION BYTES FAILED ", 550),
    ("STATUS LOCKED DEVICE ", 551),
    ("STATUS JTAG NOT SUPPORTED ", 552),
    ("STATUS SWD NOT SUPPORTED ", 553),
    ("STATUS CORRUPT CONFIG ERROR ", 554)
]

GenericConstants = [
    ("MAX FPA INDEX", 64),
    ("ALL ACTIVE FPA", 0),

    ("CONFSEL VALIDATE", 0),
    ("CONFSEL VALUE ", 1),
    ("CONFSEL MIN ", 2),
    ("CONFSEL MAX ", 3),
    ("CONFSEL DEFAULT ", 4),

    ("MCU VENDOR LIST ", 0),
    ("MCU FAMILY LIST ", 1),
    ("MCU GROUP LIST ", 2),
    ("MCU NAME LIST ", 3),

    ("DEVICE NAME SIZE ", 20),
    ("MCU DATA SIZE ", 20),

    ("COMM cJTAG ", 0x008),
    ("COMM JTAG ", 0x010),
    ("COMM SWD ", 0x020),
    ("COMM SLOW ", 0),
    ("COMM MEDIUM ", 1),
    ("COMM FAST ", 2)
    # ("COMM JTAG SLOW ", (COMM JTAG or COMM SLOW)),
    # ("COMM JTAG MED ", (COMM JTAG | COMM MEDIUM)),
    # ("COMM JTAG FAST ", (COMM JTAG | COMM FAST)),
    # ("COMM SWD SLOW ", (COMM SWD | COMM SLOW)),
    # ("COMM SWD MED ", (COMM SWD | COMM MEDIUM)),
    # ("COMM SWD FAST ", (COMM SWD | COMM FAST)),
    # ("COMM cJTAG SLOW ", (COMM cJTAG | COMM SLOW)),
    # ("COMM cJTAG MED ", (COMM cJTAG | COMM MEDIUM),
    # ("COMM cJTAG FAST ", (COMM cJTAG | COMM FAST))

]

class CommunicationType():
    type = 0
    name = ""
    

class MCU_Info:
    def __init__(self):
        self.name = ""
        self.family_index = 0
        self.group_index = 0
        self.name_index = 0
        self.group_id = 0
        self.flash_start_addr = 0
        self.flash_end_addr = 0
        self.otp_start_addr = 0
        self.otp_end_addr = 0
        self.ram_start_addr = 0
        self.ram_end_addr = 0
        self.vendor_index = 0
        self.eeprom_start_addr = 0
        self.eeprom_end_addr = 0

    def clear(self):
        self.__init__()




# mcu = MCU_Info()
# mcu.name = "TMS344"

# print(mcu.name)
# mcu.clear()
# print(mcu.name)